[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: (ITS#5953) slapd seg faults with SASL bind DIGEST-MD5

michael@stroeder.com wrote:
> hyc@symas.com wrote:
>> michael@stroeder.com wrote:
>>> Quanah Gibson-Mount wrote:
>>>> --On Tuesday, February 17, 2009 3:15 PM +0000 michael@stroeder.com wrote:
>>>>> Full_Name: Michael Str?der
>>>>> Version: 2.4.14
>>>>> OS: SLES 10
>>>>> URL:
>>>>> Submission from: (NULL) (
>>>>> If /usr/lib/sasl2/slapd.conf is missing 2.4.14 seg faults even though the
>>>>> authz-regexp configuration is correct in slapd.conf
>>>> What makes you think this is a bug with OpenLDAP and not cyrus-sasl?
>>> Hmm, I'm not really sure. But IIRC this didn't happen with OpenLDAP 2.3
>>> which was running on the same machine before. With 2.3 when this file
>>> was missing only this message was sent to syslog: "unable to open
>>> Berkeley db /etc/sasldb2". Today it seg faults.
>> What version of BDB was libsasl built with? What version was OpenLDAP built with?
> The BDB versions differ but it works when creating
> /usr/lib/sasl2/slapd.conf with "auxprop_plugin: slapd".
> IIRC it also worked with OpenLDAP 2.3.

Most likely the BDB versions were the same on your 2.3 build. You cannot have 
multiple BDB libraries in the same process (unless you build with symbol 
versioning). This is not an OpenLDAP bug. This ITS will be closed.

   -- Howard Chu
   CTO, Symas Corp.           http://www.symas.com
   Director, Highland Sun     http://highlandsun.com/hyc/
   Chief Architect, OpenLDAP  http://www.openldap.org/project/